Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2082286 - CVE-2022-29500 slurm: SchedMD has Incorrect Access Control that leads to Information Disclosure. [fedora-all]
Summary: CVE-2022-29500 slurm: SchedMD has Incorrect Access Control that leads to Info...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slurm
Version: 35
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2082276
Blocks: CVE-2022-29500
TreeView+ depends on / blocked
 
Reported: 2022-05-05 18:12 UTC by Patrick Del Bello
Modified: 2022-11-28 01:12 UTC (History)
2 users (show)

Fixed In Version: slurm-21.08.8-1.fc37 slurm-21.08.8-2.fc36 slurm-21.08.8-2.fc35 slurm-21.08.8-2.fc34 slurm-22.05.6-1.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-05 21:14:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Patrick Del Bello 2022-05-05 18:12:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Patrick Del Bello 2022-05-05 18:12:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2082284,2082286

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-05-05 21:10:25 UTC
FEDORA-2022-417587a4b9 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-417587a4b9

Comment 3 Fedora Update System 2022-05-05 21:14:00 UTC
FEDORA-2022-417587a4b9 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-05-05 22:15:52 UTC
FEDORA-2022-6d9d1862ee has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6d9d1862ee

Comment 5 Fedora Update System 2022-05-05 22:15:53 UTC
FEDORA-2022-eeeff46680 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-eeeff46680

Comment 6 Fedora Update System 2022-05-05 22:15:54 UTC
FEDORA-2022-916bb58e38 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-916bb58e38

Comment 7 Fedora Update System 2022-05-06 11:02:03 UTC
FEDORA-2022-916bb58e38 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-916bb58e38`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-916bb58e38

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-05-08 03:26:25 UTC
FEDORA-2022-6d9d1862ee has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-6d9d1862ee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6d9d1862ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-05-08 04:06:07 UTC
FEDORA-2022-eeeff46680 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-eeeff46680`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-eeeff46680

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-05-10 01:04:39 UTC
FEDORA-2022-eeeff46680 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-eeeff46680`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-eeeff46680

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-05-10 01:29:42 UTC
FEDORA-2022-6d9d1862ee has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-6d9d1862ee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6d9d1862ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-05-10 02:04:55 UTC
FEDORA-2022-916bb58e38 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-916bb58e38`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-916bb58e38

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-05-18 01:08:24 UTC
FEDORA-2022-916bb58e38 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-05-18 01:11:00 UTC
FEDORA-2022-6d9d1862ee has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-05-18 01:24:44 UTC
FEDORA-2022-eeeff46680 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-11-28 01:09:19 UTC
FEDORA-2022-6a9dc1d46b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6a9dc1d46b

Comment 17 Fedora Update System 2022-11-28 01:12:06 UTC
FEDORA-2022-6a9dc1d46b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.